GET/api/v1/dev/apps/:appId查看应用详情

返回指定应用信息;仅注册人与管理员可见。

Request

Headers

NameData TypeRequiredDescription
AuthorizationstringYes会话令牌认证,格式 `Bearer <sessionToken>`
type RequestHeaders = {
  /** 会话令牌认证,格式 `Bearer <sessionToken>` */
  Authorization: string
}

URL Parameters

Name Data Type Description
appId string 应用 ID

Response

Body

NameData TypeRequiredDescription
appIdstringYes应用 ID
namestringYes应用名称
homepagestringNo应用主页
clientIdstringYes客户端标识
redirectUrisarrayYes回调地址列表
tokenTypestringYes令牌形态:jwt / opaque
statusstringYespending / approved / banned
scopesarrayYes已批准的 scope
createdAtstringYes注册时间
type ResponseBody = {
  /** 应用 ID */
  appId: string
  /** 应用名称 */
  name: string
  /** 应用主页 */
  homepage?: string
  /** 客户端标识 */
  clientId: string
  /** 回调地址列表 */
  redirectUris: string[]
  /** 令牌形态:jwt / opaque */
  tokenType: string
  /** pending / approved / banned */
  status: string
  /** 已批准的 scope */
  scopes: string[]
  /** 注册时间 */
  createdAt: string
}
{
  "appId": "01JD8SNST2N5U6X1BU9YBHK4C7J",
  "name": "Xeegam Analytics",
  "homepage": "https://analytics.xeegam.com",
  "clientId": "cli_9f2ka81mdx",
  "redirectUris": [
    "https://analytics.xeegam.com/oauth/callback"
  ],
  "tokenType": "jwt",
  "status": "approved",
  "scopes": [
    "user:profile:read",
    "orgs:list"
  ],
  "createdAt": "2026-10-01T10:00:00Z"
}

HTTP Code

HTTP Status Meaning Notes
200 成功 返回应用详情

Response Code

响应使用统一信封 {id, code, messages, result},其 code 字段:

code Meaning Notes
0 成功 返回应用详情

Examples

GET /api/v1/dev/apps/01JD8SNST2N5U6X1BU9YBHK4C7J
Authorization: Bearer st_7c1f9e05b28d4a63
{
  "id": "01JD8SSKAF9A7CVW",
  "code": 0,
  "messages": [],
  "result": {
    "appId": "01JD8SNST2N5U6X1BU9YBHK4C7J",
    "name": "Xeegam Analytics",
    "homepage": "https://analytics.xeegam.com",
    "clientId": "cli_9f2ka81mdx",
    "redirectUris": ["https://analytics.xeegam.com/oauth/callback"],
    "tokenType": "jwt",
    "status": "approved",
    "scopes": ["user:profile:read", "orgs:list"],
    "createdAt": "2026-10-01T10:00:00Z"
  }
}